AnsweredAssumed Answered

How to hide Feature with API?

Question asked by Yong Ning on Jul 2, 2014
Latest reply on Jul 2, 2014 by Yong Ning

0.jpg

 

Private Sub ll()

  Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

  Dim SwDraw As DrawingDoc, SwSelMgr As SelectionMgr

  Dim SwFeat As Feature, BomFeat As BomFeature

    Set SwApp = Application.SldWorks

    Set SwModel = SwApp.ActiveDoc

    Debug.Print SwModel.GetTitle

    Set SwSelMgr = SwModel.SelectionManager

    ''

    Set BomFeat = SwSelMgr.GetSelectedObject6(1, -1)

    Set SwFeat = BomFeat.GetFeature

    Debug.Print SwFeat.Name

End Sub

Outcomes